aptitude is a front-end to the Advanced Packaging Tool (APT). It displays a list of software packages and allows the user to interactively pick packages to install or remove. In addition to a curses based interface, it also has a command line interface.

learn more… | top users | synonyms

0
votes
2answers
307 views

Debian is saying that i'm out of space when ever i try to install or remove packages

here's the return from df: ~$ df Filesystem 1K-blocks Used Available Use% Mounted on /dev/mapper/debian-root 321041 310074 0 100% / udev 10240 ...
0
votes
2answers
457 views

creating metapackages

got some problems while creating metapackages tried to create a meta package containing forensic toolkits, on ubuntu i even got problems creating an .deb file. dpkg-source: error: can't build with ...
2
votes
1answer
206 views

which files are shown by dpkg-query -L

I recently ran dpkg-query -L $package on the same package a couple of times and got different results. The difference is that one file, the one we'll refer to as $file, is missing. In between the ...
1
vote
1answer
543 views

Having trouble installing VLC-2.0.3-5 on Debian

I know that the package is in the repository squeeze-backports, so I added that to my sources.list file. One apt-get update later, I attempt to use sudo apt-get -t squeeze-backports install vlc ...
0
votes
1answer
34 views

Installing build-essentials with linux-headers package

I'm trying to update the network card drivers on my Debian based server. I'm following this guide: Driver installation guide I reached the step aptitude install build-essential linux-headers-`uname ...
0
votes
1answer
14 views

Mark package never to be installed with aptitude

I'm using aptitude as package manager in Debian. How to mark the package never to be installed by it? Because from time to time, when I install some gnome utilities etc., systemd package gets ...
0
votes
1answer
119 views

Aptitude not updating/upgrading

Using aptitude is supposed to be the easiest thing in the world. but I've been messing it up somehow. I've recently added backports and non-free to sources.list to try to get my audio working, but as ...
0
votes
1answer
168 views

Linux: Aptitude: Howto replace a dependency by another?

I have a package named libqt4-designer and another package named libqt4-47-designer. When I do aptitude remove libqt4-designer, Aptitude wants to remove kdesudo and many other applications. How can I ...
0
votes
1answer
161 views

`Ffmpeg` aptitude install seems to break packages.

I tried to install ffmpeg because I thought/think it is needed for compiling OpenCV. However, when trying to do that I think I screwed up. How can I undo what I did? $ sudo aptitude install ffmpeg ...
0
votes
1answer
392 views

How do I pass a list of packages to aptitude and resolve conflicts?

How do I pass a list of packages to aptitude so that I can resolve the conflicts interactively?
2
votes
0answers
352 views

ghc6 install trouble: hGetContents: invalid argument (invalid UTF-8 byte sequence)

Having trouble installing ghc6 on Ubuntu Maverick via apt. Here's what seems to be the relevant error that comes up when I try to (apt-get|aptitude) install ghc6: A package failed to install. ...
1
vote
0answers
411 views

apt over SSH hangs on my Raspberry Pi

I have a very strange phenomenon on my R-Pi. If I run either apt or aptitude via a remote SSH shell, the processor jumps to 100% (top shows it's apt). If I connect my keyboard and run it on an ...
1
vote
0answers
92 views

Privoxy causes problems with apt-get update

I recently got a strange problem with privoxy when using apt-get (or aptitude) to fetch new package lists. This is especially strange since it worked fine for several months... I'm running Ubuntu ...
1
vote
0answers
22 views

Searching for packages that are (not) from a certain repository URL

I basically want to do the same thing, as asked for here, which is searching for packages that a re not from a certain repository. Just like this: aptitude search "?installed?not(?origin(Debian))" ...
1
vote
0answers
41 views

Generating a record of the full(-ish) package management state

I'm about to make some system changes and I'd like to have a record of my current happy system state. Is there a convenient way to create a record of this? I'd like to keep track of info like ...
0
votes
0answers
23 views

Packages in (K)ubuntu

1) First question How to list really installed packages in ubuntu? The problem of dpkg --get-selections (the command written in almost any forum) is that its second column (= install / deinstall) ...
0
votes
0answers
74 views

apt-get update still doesn't find autoconf

I'm using Debian Squeeze, was trying to update automake and then in the process of configuring found that autoconf was too old. Trying to install autoconf, I get this: apt-get install autoconf ...
0
votes
0answers
38 views

Corrupt display when upgrading Ubuntu 12.04 to 12.04.3

I'm using Vagrant to install the precise64 box (Ubuntu 12.04), then running apt-get update and apt-get -y upgrade near the start of the provisioning to upgrade it to 12.04.3 When aptitude is set up ...
0
votes
0answers
310 views

Unable to update libc6:armhf 2.13-38+rpi2

I'm trying to install PION package and I'm unable to do this on RaspberryPi: pi@raspberrypi ~ $ sudo aptitude install libpion-dev The following NEW packages will be installed: libc-dev-bin{a} ...
0
votes
0answers
104 views

libgphoto2-2-dev is installed, but pkg-config wont list it. Deb Wheezy new install

I am trying to use node-gphoto2 from npm, but I am having trouble with the libgphoto2-2-dev dependency. I've installed it, but pkg-config says it's not there. $ sudo aptitude search gphoto p ...
0
votes
0answers
673 views

update-alternatives very slow in Ubuntu 10.04

Every time I try to install a package which require the "update-alternatives" for the JRE, apt-get doesn't respond anymore: Setting up sun-java6-bin (6.20dlj-1ubuntu3) ... update-alternatives: using ...
0
votes
0answers
497 views

Unable to open Synaptic manager, unable to install packages, what can I do?

I have installed the sun java6-jdk package but it's not installed completely. After that it's giving an error when I try to install a new package. In terminal when I write "sudo apt-get install [any ...